Skip to main content

Create Invoice: Entrata

POSThttps://api.propexo.com/v1/invoices/entrata/
Method
vendors/sendInvoices
Notice

Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    vendor_idstringrequired

    The Propexo unique identifier for the vendor

    vendor_location_idstringrequired

    The Propexo unique identifier for the vendor location

    invoice_numberstringrequired

    The invoice or reference number that the vendor assigned to the service request

    invoice_datestring<date-time>required

    The date of issuance for the invoice

    total_amount_in_centsnumberrequired

    The amount of the invoice, in cents

    invoice_items object[]required
  • Array [
  • property_idstringrequired

    The Propexo unique identifier for the property

    financial_account_idstringrequired

    The Propexo unique identifier for the financial account

    total_amount_in_centsnumberrequired

    The amount of the invoice item, in cents

    notesstringrequired

    Notes associated with the invoice item

    purchase_order_item_idstring

    The Propexo unique identifier for the purchase order item

  • ]
  • ap_financial_account_idstring

    The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.

    post_monthstring

    The post month for the invoice. We will strip all data out of the datetime except the year and month.

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    discount_amount_in_centsnumber

    The discount, in cents, of the invoice. This amount will be applied prior to the total amount being calculated.

    due_datestring<date-time>

    The due date associated with the invoice

    notesstring

    Notes associated with the invoice

    attachments object[]

    Files to upload for the invoice. All the files can have a maximum combined file size of 50 MB

  • Array [
  • file_datastringrequired

    The contents of the file, as a base64 encoded string. The PMS has a max file size of 50 MB.

    Possible values: <= 69730304 characters

    file_namestringrequired

    The name of the file including the extension. Ex: "image.jpg"

    mime_typestringrequired

    The mime type of the file. Ex: "image/jpeg"

  • ]

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    vendor_idstringrequired

    The Propexo unique identifier for the vendor

    vendor_location_idstringrequired

    The Propexo unique identifier for the vendor location

    invoice_numberstringrequired

    The invoice or reference number that the vendor assigned to the service request

    invoice_datestring<date-time>required

    The date of issuance for the invoice

    total_amount_in_centsnumberrequired

    The amount of the invoice, in cents

    invoice_items object[]required
  • Array [
  • property_idstringrequired

    The Propexo unique identifier for the property

    financial_account_idstringrequired

    The Propexo unique identifier for the financial account

    total_amount_in_centsnumberrequired

    The amount of the invoice item, in cents

    notesstringrequired

    Notes associated with the invoice item

    purchase_order_item_idstring
  • ]
  • ap_financial_account_idstring | nullnullablerequired
    post_monthstring | nullnullablerequired
    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    discount_amount_in_centsnumber | nullnullablerequired
    due_date(string | null)<date-time>nullablerequired
    notesstring | nullnullablerequired
    attachments object[]required
  • Array [
  • file_datastring | nullnullable

    The contents of the file, as a base64 encoded string. The PMS has a max file size of 50 MB.

    Possible values: <= 69730304 characters

    file_namestringrequired

    The name of the file including the extension. Ex: "image.jpg"

    mime_typestringrequired

    The mime type of the file. Ex: "image/jpeg"

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/invoices/entrata/
curl -X POST https://api.propexo.com/v1/invoices/entrata/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"vendor_id": "string",
"vendor_location_id": "string",
"invoice_number": "string",
"invoice_date": "2024-07-29T15:51:28.071Z",
"total_amount_in_cents": 0,
"invoice_items": [
{
"property_id": "string",
"financial_account_id": "string",
"total_amount_in_cents": 0,
"notes": "string",
"purchase_order_item_id": "string"
}
]
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"vendor_id": "string",
"vendor_location_id": "string",
"invoice_number": "string",
"invoice_date": "2024-07-29T15:51:28.071Z",
"total_amount_in_cents": 0,
"invoice_items": [
{
"property_id": "string",
"financial_account_id": "string",
"total_amount_in_cents": 0,
"notes": "string",
"purchase_order_item_id": "string"
}
],
"ap_financial_account_id": "string",
"post_month": "2024-07-29T15:51:28.071Z",
"discount_amount_in_cents": 0,
"due_date": "2024-07-29T15:51:28.071Z",
"notes": "string",
"attachments": "Unknown Type: array,null"
}
}